---@meta

---@class ABP_NonGILightSwitch_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field DefaultSceneRoot USceneComponent
---@field GILights TArray<ALight>
---@field NonGILights TArray<ALight>
---@field GIPostProcesses TArray<AActor>
---@field NonGIPostProcesses TArray<AActor>
local ABP_NonGILightSwitch_C = {}

ABP_NonGILightSwitch_C['Update Lights'] = function(self, ) end
function ABP_NonGILightSwitch_C:ReceiveBeginPlay() end
---@param GlobalIlluminationQuality int32
function ABP_NonGILightSwitch_C:ReceiveGameOptionChanged(GlobalIlluminationQuality) end
---@param EntryPoint int32
function ABP_NonGILightSwitch_C:ExecuteUbergraph_BP_NonGILightSwitch(EntryPoint) end


